from setuptools import setup

setup(
  name='folium_maps',
  version='1.0.0',
  author='data.practicum',
  author_email='data.practicum@yandex.ru',
  description='Folium library with local version of map',
  long_description='',
  long_description_content_type='text/markdown',
  url='https://python-visualization.github.io/',
  packages = ['folium_maps',
              'folium_maps/templates',
              'folium_maps/templates/tiles',
              'folium_maps/templates/tiles/cartodbdark_matter',
              'folium_maps/templates/tiles/cartodbpositron',
              'folium_maps/templates/tiles/cartodbpositronnolabels',
              'folium_maps/templates/tiles/cartodbpositrononlylabels',
              'folium_maps/templates/tiles/openstreetmap',
              'folium_maps/templates/tiles/stamenterrain',
              'folium_maps/templates/tiles/stamentoner',
              'folium_maps/templates/tiles/stamentonerbackground',
              'folium_maps/templates/tiles/stamentonerlabels',
              'folium_maps/templates/tiles/stamenwatercolor',
              'folium_maps/plugins'],
  include_package_data=True,
  package_data={'folium_maps/templates':['*'],
                'folium_maps/templates/tiles':['*'],
                'folium_maps/templates/tiles/cartodbdark_matter':['*'],
                'folium_maps/templates/tiles/cartodbpositron':['*'],
                'folium_maps/templates/tiles/cartodbpositronnolabels':['*'],
                'folium_maps/templates/tiles/cartodbpositrononlylabels':['*'],
                'folium_maps/templates/tiles/openstreetmap':['*'],
                'folium_maps/templates/tiles/stamenterrain':['*'],
                'folium_maps/templates/tiles/stamentoner':['*'],
                'folium_maps/templates/tiles/stamentonerbackground':['*'],
                'folium_maps/templates/tiles/stamentonerlabels':['*'],
                'folium_maps/templates/tiles/stamenwatercolor':['*'],
                'folium_maps/plugins':['*'],},
  install_requires=['branca',
                    'Jinja2',
                    'numpy',
                    'requests'],
  classifiers=[
    'Programming Language :: Python :: 3.11',
    'License :: OSI Approved :: MIT License',
    'Operating System :: OS Independent'
  ],
  keywords='example python',
  project_urls={
    'Documentation': 'https://python-visualization.github.io/folium/latest/user_guide.html'
  },
  python_requires='>=3.7'
)